DH_INSTALLEXAMPLES(1)

NOMBRE
dh_installexamples - Instala ficheros de ejemplo en los directorios de construcción

SINOPSIS
dh_installexamples [opciones-de-debhelper] [-A] [-Xelemento] [fichero ...]

DESCRIPCIÓN
dh_installexamples es un programa de debhelper responsable de instalar ejemplos en usr/share/doc/package/examples en los directorios de construcción del paquete.

FICHEROS

debian/paquete.examples
    Lista ficheros de ejemplo o directorios a instalar.

OPCIONES

-A, --all
    Instala todos los ficheros especificados en los parámetros de la línea de órdenes en TODOS los paquetes sobre los que actúa.

--sourcedir=directorio
    Look in the specified directory for files to be installed. This option requires compat 11 or later (it is silently ignored in compat 10 or earlier).

    Note that this is not the same as the --sourcedirectory option used by the dh_auto_* commands. You rarely need to use this option, since dh_installexamples automatically looks for files in debian/tmp in debhelper compatibility level 11 and above.

--doc-main-package=main-package
    Set the main package for a documentation package. This is used to install the documentation of the documentation package in /usr/share/doc/main-package as recommended by the Debian policy manual 3.9.7 in §12.3.

    In compat 11 (or later), this option is only useful if debhelper's auto-detection of the main package is wrong. The option can also be used to silence a warning from debhelper when the auto-detection fails but the default happens to be correct.

    This option cannot be used when dh_installexamples is instructed to act on multiple packages. If you need this option, you will generally need to combine it with -p to ensure exactly one package is acted on.

-Xelemento, --exclude=elemento
    No instala ficheros que contienen elemento en cualquier parte de su nombre.

fichero ...
    Instala esos ficheros (o directorios) como ejemplos en el primer paquete sobre el que actúe (o en todos si se define -A).

NOTAS
Tenga en cuenta que dh_installexamples copiará directamente jerarquías de directorio enteras si se le indica (similar a cp -a). Si le indica instalar un directorio instalará todos sus contenidos.

VÉASE TAMBIÉN
debhelper(7)

Este programa es parte de debhelper.

AUTOR
Joey Hess <joeyh@debian.org>

TRADUCTOR
Traducci�n de Rub�n Porras Campo <debian-l10n-spanish@lists.debian.org> Actualizaci�n de Omar Campagne Polaino